Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1515388 - Hosted-engine --deploy fails installation [NEEDINFO]
Summary: Hosted-engine --deploy fails installation
Keywords:
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Red Hat Gluster Storage
Classification: Red Hat
Component: rhhi
Version: rhhi-1.1
Hardware: x86_64
OS: Unspecified
urgent
high
Target Milestone: ---
: ---
Assignee: Sahina Bose
QA Contact: SATHEESARAN
URL:
Whiteboard:
Depends On:
Blocks: 1542093
TreeView+ depends on / blocked
 
Reported: 2017-11-20 17:42 UTC by Dana Lane
Modified: 2018-02-05 14:48 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-12-15 12:31:00 UTC
sabose: needinfo? (dlane)


Attachments (Terms of Use)

Description Dana Lane 2017-11-20 17:42:27 UTC
Description of problem:
There is no adequate documentation for installing hosted-engine via the command line. The docs that do exist are deprecated. Following the documentation that does exist, results in a partial, failed installation that requires an O/S re-install to fully clean up.

Version-Release number of selected component (if applicable):


How reproducible:
Install 3 note gluster on RHEL 7.4, then run hosted-engine --deploy


Steps to Reproduce:
1. Install RHEL 7.4 on 3 physical nodes
2. Configure gluster on those 3 nodes
3. RUn hosted-engine --deploy

Actual results:
The installation fails with an error "Hosted Engine Unreachable". Doing a hosted-engine --vm-status fails due to ovirt-ha-broker not starting properly. After starting that by hand, the network on the VM engine is still unreachable.


Expected results:
Successful installation of hosted-engine


Additional info:

Comment 2 RamaKasturi 2017-11-21 06:08:10 UTC
Hi Dana,

Two things i would want to highlight here.

   1) Currently supported way of installing Hosted Engine is via cockpit UI and we do not recommend installing it via CLI and the same has been documented in the guides too.

   2) The RHEL-based RHHI installtion is going to be supported from RHHI 1.1 only for few customers and docs will be available in PDF format and available to ISV embedded partners. For more info on this please refer to comment https://bugzilla.redhat.com/show_bug.cgi?id=1506005#c9


Regarding the error you are facing, i see that from the host, engine is unreachable and because of which Hosted Engine installation has failed.

I hope you did not miss the part of having a MAC address tied to FQDN and providing the same details while deploying Hosted Engine.

Since Hosted Engine deployment failed HA services did not come up on the node. On successful installation  HA services will be up and running and user does not need to bring them up manually.

 Can you try connecting to the engine vm via remote-viewer and add the hostname and ip to /etc/hosts file on your node so that it will be reachable.

Hope this helps !!!

Thanks
kasturi

Comment 3 Dana Lane 2017-11-21 15:17:48 UTC
The use case I'm working on does not include cockpit, so I've been trying to configure that way. Going forward, I'll try cockpit.

As for the info you've requested, first off, I did already update /etc/host and I let the hosted-engine script generate a MAC address and the issue still exists. It looks to me like the engine VM network never gets configured properly.

Currently, the configuration is down with a different issue that I'm currently tracking down.

Comment 4 RamaKasturi 2017-11-22 12:53:40 UTC
(In reply to Dana Lane from comment #3)
> The use case I'm working on does not include cockpit, so I've been trying to
> configure that way. Going forward, I'll try cockpit.
> 
> As for the info you've requested, first off, I did already update /etc/host
> and I let the hosted-engine script generate a MAC address and the issue
> still exists. It looks to me like the engine VM network never gets
> configured properly.
> 

Hosted Engine script does not generate a MAC address if i understand right. User needs to have a mac address tied to FQDN and provide the same as an input during Hosted Engine deployment. Please correct me if i misunderstood something here.

would it be possible for you to share the setup details so that  we can have a look ?

> Currently, the configuration is down with a different issue that I'm
> currently tracking down.

Comment 5 Sahina Bose 2017-11-22 12:56:54 UTC
Are you facing errors with Cockpit install as well?
Are the connectivity issues between HE and host resolved?

Comment 6 Sahina Bose 2017-12-15 12:31:00 UTC
Closing this as we have not had further info on this issue. Please reopen if you have the required information


Note You need to log in before you can comment on or make changes to this bug.